clang 8.0.0

Public Member Functions | List of all members
clang::ast_matchers::dynamic::internal::AdaptativeOverloadCollector< ArgumentAdapterT, FromTypes, ToTypes > Class Template Reference

Helper class used to collect all the possible overloads of an argument adaptative matcher function. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/ASTMatchers/Dynamic/Marshallers.h"`

## Public Member Functions
| AdaptativeOverloadCollector (StringRef Name, std::vector< std::unique_ptr< MatcherDescriptor >> &Out)

## Detailed Description

### template<template< typename ToArg, typename FromArg > class ArgumentAdapterT, typename FromTypes, typename ToTypes>
class clang::ast_matchers::dynamic::internal::AdaptativeOverloadCollector< ArgumentAdapterT, FromTypes, ToTypes >

Helper class used to collect all the possible overloads of an argument adaptative matcher function.

Definition at line 535 of file Marshallers.h.

## Constructor & Destructor Documentation

## ◆ AdaptativeOverloadCollector()

template<template< typename ToArg, typename FromArg > class ArgumentAdapterT, typename FromTypes, typename ToTypes>

clang::ast_matchers::dynamic::internal::AdaptativeOverloadCollector< ArgumentAdapterT, FromTypes, ToTypes >::AdaptativeOverloadCollector | ( | StringRef | Name,
|  | std::vector< std::unique_ptr< MatcherDescriptor >> & | Out
| ) |  |
| inline

Definition at line 537 of file Marshallers.h.

The documentation for this class was generated from the following file:

- lib/ASTMatchers/Dynamic/Marshallers.h